﻿#language: ru

Функционал: 02_milk_production. Привязка пользователей к учетным точкам

Сценарий: 02_milk_production. Привязка пользователей к УТ Маркировка
	И В командном интерфейсе я выбираю 'Администрирование' 'Учетные точки'
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Маркировка'   |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'milk_prod_Маркировка (Учетные точки)'
	И я перехожу к закладке "Пользователи"
	И в таблице "Пользователи" я нажимаю на кнопку 'Добавить'
	И в таблице "Пользователи" я нажимаю кнопку выбора у реквизита "Пользователь"
	Тогда открылось окно 'Выбор типа данных'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Выбор пользователя'
	И в таблице "ПользователиСписок" я перехожу к строке:
		| 'Полное имя'              |
		| 'milk_prod_Бригада на комплектации' |
	И я нажимаю на кнопку с именем 'ВыбратьПользователя'
	Тогда открылось окно 'milk_prod_Маркировка (Учетные точки) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'milk_prod_Маркировка (Учетные точки) *' в течение 20 секунд
	Тогда открылось окно 'Учетные точки'
	И Я закрываю окно 'Учетные точки'

Сценарий:  02_milk_production. Привязка пользователей к УТ Наборка по рецептуре
	И В командном интерфейсе я выбираю 'Администрирование' 'Учетные точки'
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке по шаблону:
		| 'Наименование'      |
		| 'milk_prod_Наборка по реце*' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'milk_prod_Наборка по реце* (Учетные точки)'
	И я перехожу к закладке "Пользователи"
	И в таблице "Пользователи" я нажимаю на кнопку 'Добавить'
	И в таблице "Пользователи" я нажимаю кнопку выбора у реквизита "Пользователь"
	Тогда открылось окно 'Выбор типа данных'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Выбор пользователя'
	И в таблице "ПользователиСписок" я перехожу к строке:
		| 'Полное имя' |
		| 'milk_prod_Мастер сырцеха'      |
	И я нажимаю на кнопку с именем 'ВыбратьПользователя'
	Тогда открылось окно 'milk_prod_Наборка по реце* (Учетные точки) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'milk_prod_Наборка по реце* (Учетные точки) *' в течение 20 секунд
	Тогда открылось окно 'Учетные точки'
	И Я закрываю окно 'Учетные точки'

Сценарий:  02_milk_production. Привязка пользователей к УТ Паллетирование
	И В командном интерфейсе я выбираю 'Администрирование' 'Учетные точки'
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке по шаблону:
		| 'Наименование'             |
		| 'milk_prod_Паллетирование' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'milk_prod_Паллетирование (Учетные точки)'
	И я перехожу к закладке "Пользователи"
	И в таблице "Пользователи" я нажимаю на кнопку 'Добавить'
	И в таблице "Пользователи" я нажимаю кнопку выбора у реквизита "Пользователь"
	Тогда открылось окно 'Выбор типа данных'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Выбор пользователя'
	И в таблице "ПользователиСписок" я перехожу к строке:
		| 'Полное имя' |
		| 'milk_prod_ТСД'      |
	И я нажимаю на кнопку с именем 'ВыбратьПользователя'
	Тогда открылось окно 'milk_prod_Паллетирование (Учетные точки) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'milk_prod_Паллетирование (Учетные точки) *' в течение 20 секунд
	Тогда открылось окно 'Учетные точки'
	И Я закрываю окно 'Учетные точки'

Сценарий:  02_milk_production. Привязка пользователей к УТ Мойка тары
	И В командном интерфейсе я выбираю 'Администрирование' 'Учетные точки'
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке по шаблону:
		| 'Наименование'             |
		| 'milk_prod_Мойка тары' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'milk_prod_Мойка тары (Учетные точки)'
	И я перехожу к закладке "Пользователи"
	И в таблице "Пользователи" я нажимаю на кнопку 'Добавить'
	И в таблице "Пользователи" я нажимаю кнопку выбора у реквизита "Пользователь"
	Тогда открылось окно 'Выбор типа данных'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Выбор пользователя'
	И в таблице "ПользователиСписок" я перехожу к строке:
		| 'Полное имя' |
		| 'milk_prod_Киоск'      |
	И я нажимаю на кнопку с именем 'ВыбратьПользователя'
	Тогда открылось окно 'milk_prod_Мойка тары (Учетные точки) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'milk_prod_Мойка тары (Учетные точки) *' в течение 20 секунд
	Тогда открылось окно 'Учетные точки'
	И Я закрываю окно 'Учетные точки'